DIFF(1)

NUME
GNU diff - compară fişierele linie cu linie

REZUMAT
diff [OPȚIUNE]... FIȘIERELE

DESCRIERE
Compară FIȘIERELE linie cu linie.

Argumentele obligatorii pentru opțiuni lungi sînt obligatorii și pentru opțiunile scurte.

--normal
    Afișează un diff normal (implicit).

-q, --brief
    Afișează doar dacă fișierele diferă.

-s, --report-identical-files
    Raportează când două fișiere sunt asemănătoare.

-c, -C NUM, --context[=NUM]
    Tipărește NUM (implicit 3) linii de contextcopiat.

-u, -U NUM, --unified[=NUM]
    Tipărește NUM (implicit 3) linii de contextunificat.

-e, --ed
    Afișează un script ed.

-n, --rcs
    Afișează un diff în format RCS.

-y, --side-by-side
    Afișează pe două coloane.

-W, --width=NUM
    Afișează cel mult NUM (implicit 130) coloane tipărite.

--left-column
    Afișează doar coloana din stânga a liniilor comune.

--suppress-common-lines
    Nu afișa liniile comune.

-p, --show-c-function
    Afișează fiecare schimbare din fiecare funcție C.

-F, --show-function-line=RE
    Afișează cele mai recente linii care se potrivesc RE.

--label ETICHETĂ
    Folosește ETICHETĂ în loc de numele fișierului.

-t, --expand-tabs
    Schimbă tab-urile în spații la ieșire(output).

-T, --initial-tab
    Aliniază tab-urile adăugând în față un tab.

--tabsize=NUM
    Opririle tab-ului vor fi la fiecare NUM (implicit 8) coloane tipărite.

--suppress-blank-empty
    suppress space or tab before empty output lines

-l, --paginate
    Trimite ieșirea(output) prin `pr' pentru a fi paginată.

-r, --recursive
    Compară recursiv orice subdirector întâlnit.

--no-dereference
    don't follow symbolic links

-N, --new-file
    Tratează fișierele lipsă ca vide.

--unidirectional-new-file
    Tratează primele fișiere lipsă ca vide.

--ignore-file-name-case
    Ignoră cazul când se compară numele de fișiere.

--no-ignore-file-name-case
    Ia în calcul cazul atunci când se compară numele de fișiere.

-x, --exclude=TIP
    Exclude fișierele care se potrivesc TIParului.

-X, --exclude-from=FIȘIER
    Exclude fișierele care se potrivesc oricărui tipar din FIȘIER.

-S, --starting-file=FIȘIER
    Începe cu FIȘIER în compararea directoarelor.

--from-file=FIȘIER1
    Compară FIȘIER1 cu toți operanzii. FIȘIER1 poate fi director.

--to-file=FIȘIER2
    Compară toți operanzii cu FIȘIER2. FIȘIER2 poate fi director.

-i, --ignore-case
    Ignoră diferențele de caz din conținutul fișierului.

-E, --ignore-tab-expansion
    Ignoră schimbările produse de modificarea tab-ului.

-Z, --ignore-trailing-space
    ignore white space at line end

-b, --ignore-space-change
    Ignoră schimbările din spațiul vid.

-w, --ignore-all-space
    Ignoră tot spațiul vid.

-B, --ignore-blank-lines
    Ignoră schimbările unde toate liniile sunt goale(blank).

-I, --ignore-matching-lines=RE
    Ignoră schimbările la toate liniile care se potrivesc RE-ului.

-a, --text
    Tratează toate fișierele ca text.

--strip-trailing-cr
    Elimină returul de car(carriage return) final la intrare(input).

-D, --ifdef=NUME
    Afișează fișierul rezultat(merged) pentru a arăta diff-urile`#ifdef NAME'.

--GTYPE-group-format=GFMT
    formatul de intrare GTYPE se grupează cu GFMT

--line-format=LFMT
    formatează toate liniile cu LFMT

--LTYPE-line-format=LFMT
    formatează liniile de intrare LTYPE cu LFMT

    These format options provide fine-grained control over the output

    of diff, generalizing -D/--ifdef.

LTYPE este `old', `new', sau `unchanged'.
    GTYPE este LTYPE sau `changed'.

    GFMT (only) may contain:

%<  linii din FIȘIER1

%>  linii din FIȘIER2

%=  linii comune lui FIȘIER1 si FIȘIER2

%[-][WIDTH][.[PREC]]{doxX}LETTER
    specificații stil printf pentru LETTER

    LETTERs sunt după cum urmează pentru grup nou, literă mică pentru grup vechi:

F   primul număr de linie

L   ultimul număr de linie

N   numere de linii = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    if A equals B then T else E

    LFMT (only) may contain:

%L  conținut de linie

%l  conținut de linie, excluzând orice caracter de linie nouă final

%[-][WIDTH][.[PREC]]{doxX}n
    specificații stil printf-pentru introducerea numărului de linie

    Both GFMT and LFMT may contain:

%%  %

%c'C'
    caracterul singular C

%c'\OOO'
    caracterul cu codul octal OOO

C   the character C (other characters represent themselves)

-d, --minimal
    Încearcă din greu să găsești un set mai mic de schimbări.

--horizon-lines=NUM
    Reține NUM linii de prefix și sufix comun.

--speed-large-files
    Presupune fișiere mari și multe modificări mici împrăștiate.

--color[=WHEN]
    colorize the output; WHEN can be 'never', 'always', or 'auto' (the default)

--palette=PALETTE
    the colors to use when --color is active; PALETTE is a colon-separated list of terminfo capabilities

--help
    afișează acest ajutor și ieși

-v, --version
    afișează informații de versiune și ieși

FILES are 'FILE1 FILE2' or 'DIR1 DIR2' or 'DIR FILE' or 'FILE DIR'. If --from-file or --to-file is given, there are no restrictions on FILE(s). If a FILE is '-', read standard input. Exit status is 0 if inputs are the same, 1 if different, 2 if trouble.

AUTOR
Scris de Paul Eggert, Mike Haertel, David Hayes, Richard Stallman și Stuart Kemp.

RAPORTĂ O EROARE
Raportați erorile(bugs)la: bug-diffutils@gnu.org
GNU diffutils pagină principală: <https://www.gnu.org/software/diffutils/>
Ajutor general utilizând software GNU: <https://www.gnu.org/gethelp/>.

COPYRIGHT
Copyright © 2018 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sînteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

VEDEȚI ȘI
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

Documentația completă pentru diff este menținută ca un manual Texinfo. Dacă programele info și diff sunt instalate corespunzător la pagina personală, comanda

    info diff

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Eugen Hoanca <eugenh@urban-grafx.ro> și Laurențiu Buzdugan <lbuz@rolix.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.